drop   type LOCATION_typ force
/
create type LOCATION_typ as object (
location_id          number,
parent_location_id   number,
code                 varchar2(30),
name                 varchar2(80),
start_date           date,
end_date             date,
map member function get_map return varchar2,
static function get_id return number );
/
create type body LOCATION_typ as
map member function get_map return varchar2 is
begin
 return rpad( code, 30 )||
        rpad( name, 80 )||
        to_char( start_date, 'YYYYMMDDHH24MISS' );
end get_map;

static function get_id return number is
n_location_id number := 0;
begin
 select location_seq.nextval into n_location_id from dual;
 return n_location_id;
end get_id;

end;
/
