import java.text.*;
import java.sql.*;
import oracle.jdbc.driver.*;

class TestThinPerfOracleSelect {
 public static void main (String args[]) throws SQLException {
  long startTime; 
  long stopTime;
  DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());
  Connection conn = 
   DriverManager.getConnection("jdbc:oracle:thin:@dssw2k01:1521:orcl","scott","tiger");
  conn.setAutoCommit(false);
  Statement stmt = conn.createStatement();
  ((OracleStatement)stmt).defineColumnType(1, Types.NUMERIC);
  ((OracleStatement)stmt).defineColumnType(2, Types.VARCHAR);
  ((OracleStatement)stmt).defineColumnType(3, Types.VARCHAR);
  ((OracleStatement)stmt).defineColumnType(4, Types.VARCHAR);
  ((OracleStatement)stmt).defineColumnType(5, Types.TIMESTAMP);
  startTime = System.currentTimeMillis();
  ResultSet rset = stmt.executeQuery(
   "select id, code, descr, insert_user, insert_date" +
   " from testxxxperf where id = 1");
  stopTime = System.currentTimeMillis();
  rset.next();
  rset.close();
  stmt.close();
  conn.close();
  System.out.println( "Elapsed time in milliseconds: " + Long.toString( stopTime - startTime ) );
 }
}