import java.sql.*;

public class SQLDataLocation implements SQLData {
 private java.math.BigDecimal locationId;
 private java.math.BigDecimal parentLocationId;
 private String               code;
 private String               name;
 private java.sql.Timestamp   startDate;
 private java.sql.Timestamp   endDate;

 public SQLDataLocation() {
 }
 public void readSQL(SQLInput stream, String type)
  throws SQLException {
  locationId       = stream.readBigDecimal();
  parentLocationId = stream.readBigDecimal();
  code             = stream.readString();
  name             = stream.readString();
  startDate        = stream.readTimestamp();
  endDate          = stream.readTimestamp();
 }
 public void writeSQL(SQLOutput stream)
  throws SQLException {
  stream.writeBigDecimal(locationId);
  stream.writeBigDecimal(parentLocationId);
  stream.writeString(code);
  stream.writeString(name);
  stream.writeTimestamp(startDate);
  stream.writeTimestamp(endDate);
 }
 public String getSQLTypeName() 
  throws SQLException {
  return "SCOTT.LOCATION_TYP";
 }
 public java.math.BigDecimal getLocationId() { 
  return locationId; 
 }
 public java.math.BigDecimal getParentLocationId() { 
  return parentLocationId; 
 }
 public String getCode() { 
  return code; 
 }
 public String getName() { 
  return name; 
 }
 public java.sql.Timestamp getStartDate() { 
  return startDate; 
 }
 public java.sql.Timestamp getEndDate() { 
  return endDate; 
 }
 public void setLocationId(java.math.BigDecimal locationId) { 
  this.locationId = locationId; 
 }
 public void setParentLocationId(java.math.BigDecimal parentLocationId) { 
  this.parentLocationId = parentLocationId; 
 }
 public void setCode(String code) { 
  this.code = code; 
 }
 public void setName(String name) { 
  this.name = name; 
 }
 public void setStartDate(java.sql.Timestamp startDate) { 
  this.startDate = startDate; 
 }
 public void setEndDate(java.sql.Timestamp endDate) { 
  this.endDate = endDate; 
 }
}
